BUS_FOR_EACH_DEV(9)

NAME
bus_for_each_dev - device iterator.

SYNOPSIS

int bus_for_each_dev (struct bus_type * bus, struct device * start, void * data, int (*fn) <funcparams>struct device *, void *</funcparams>);

ARGUMENTS

bus bus type.

start
    device to start iterating from.

data
    data for the callback.

fn  function to be called for each device.

DESCRIPTION

Iterate over bus's list of devices, and call fn for each, passing it data. If start is not NULL, we use that device to begin iterating from.

We check the return of fn each time. If it returns anything other than 0, we break out and return that value.

NOTE

The device that returns a non-zero value is not retained in any way, nor is its refcount incremented. If the caller needs to retain this data, it should do, and increment the reference count in the supplied callback.